SUB PresStr (S1$,S2$)
Local i%,l%,S$
l%=Len(S1$)
if l%=0% then
   S2$=""
   EXIT SUB
end if
S2$=""
for i%=1% to l%
    S$=mid$(S1$,i%,1%)
    if S$ <> " " then
       S2$=S2$+S$
    end if
next i%
EXIT SUB
END SUB